org.eclipse.rdf4j.query.algebra

## Interface GraphPatternGroupable

- All Known Implementing Classes:
    AbstractAggregateOperator, AbstractNaryOperator, AbstractNaryTupleOperator, AbstractQueryModelNode, Add, AggregateOperatorBase, And, ArbitraryLengthPath, Avg, BinaryTupleOperator, BinaryValueOperator, BindingSetAssignment, BNodeGenerator, Bound, Clear, Coalesce, Compare, CompareAll, CompareAny, CompareSubQueryValueOperator, Copy, Count, Create, Datatype, DeleteData, DescribeOperator, Difference, Distinct, EmptySet, Exists, Extension, ExtensionElem, ExternalSet, Filter, FunctionCall, Group, GroupConcat, GroupElem, If, In, InsertData, Intersection, IRIFunction, IsBNode, IsLiteral, IsNumeric, IsResource, IsURI, Join, Label, Lang, LangMatches, LeftJoin, Like, ListMemberOperator, Load, LocalName, MathExpr, Max, Min, Modify, Move, MultiProjection, Namespace, NaryJoin, NAryValueOperator, Not, Or, Order, OrderElem, OwnedTupleExpr, Projection, ProjectionElem, ProjectionElemList, QueryModelNodeBase, QueryRoot, Reduced, Regex, SameTerm, Sample, Service, SingletonSet, Slice, StatementPattern, Str, SubQueryValueOperator, Sum, TupleFunctionCall, UnaryTupleOperator, UnaryValueOperator, Union, ValueConstant, Var, ZeroLengthPath

      public interface GraphPatternGroupable

  `QueryModelNode`s that can represent a full graph pattern group. Although the notion of a graph pattern group is strictly not relevant at the algebra level, it gives an indication to evaluation strategy implementations on how they can optimize join patterns wrt variable scope.
  Author:
    Jeen Broekstra

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isGraphPatternGroup()` indicates if the node represents the root of a graph pattern group.
    `void` | `setGraphPatternGroup(boolean isGraphPatternGroup)` Set the value of `isGraphPatternGroup()` to true or false.

- - ### Method Detail

    - #### isGraphPatternGroup

          boolean isGraphPatternGroup()

      indicates if the node represents the root of a graph pattern group.
      Returns:
        true iff the node represents the node of a graph pattern group.

    - #### setGraphPatternGroup

          void setGraphPatternGroup(boolean isGraphPatternGroup)

      Set the value of `isGraphPatternGroup()` to true or false.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.